For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dashboard Summary

Dashboard status count

get
/api/Public/DashboardSummary/GetDashboardStatusCount
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
statusstringOptional
selectedYearinteger · int32OptionalDefault: 0
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
get/api/Public/DashboardSummary/GetDashboardStatusCount
GET /api/Public/DashboardSummary/GetDashboardStatusCount HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "totalCount": 1,
    "status": "text",
    "year": 1
  }
}

Dashboard all counts

get
/api/Public/DashboardSummary/GetDashboardAllCounts
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
selectedYearinteger · int32OptionalDefault: 0
refreshbooleanOptionalDefault: false
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
get/api/Public/DashboardSummary/GetDashboardAllCounts
GET /api/Public/DashboardSummary/GetDashboardAllCounts HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "pendingCount": 1,
    "cosignPendingCount": 1,
    "draftCount": 1,
    "completedCount": 1,
    "year": 1
  }
}

Pending information

post
/api/Public/DashboardSummary/GetPendingInformation
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
modeinteger · int32Optional
pageNumberinteger · int32 · min: 1 · max: 2147483647Optional
pageSizeinteger · int32 · min: 1 · max: 200Optional
categoryNamestring · nullableOptional
docOwnerstring · nullableOptional
documentNamestring · nullableOptional
documentNumberstring · nullableOptional
referenceNostring · nullableOptional
startDatestring · nullableOptional
endDatestring · nullableOptional
signedDatestring · nullableOptional
selectedYearinteger · int32 · nullableOptional
sortColumnstring · nullableOptional
sortOrderstring · nullableOptional
isExportbooleanOptional
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
post/api/Public/DashboardSummary/GetPendingInformation
POST /api/Public/DashboardSummary/GetPendingInformation HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 273

{
  "mode": 1,
  "pageNumber": 1,
  "pageSize": 1,
  "categoryName": "text",
  "docOwner": "text",
  "documentName": "text",
  "documentNumber": "text",
  "referenceNo": "text",
  "startDate": "text",
  "endDate": "text",
  "signedDate": "text",
  "selectedYear": 1,
  "sortColumn": "text",
  "sortOrder": "text",
  "isExport": true
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalRows": 1,
    "totalPages": 1,
    "data": [
      {
        "rowIndex": 1,
        "totalRows": 1,
        "workflowId": 1,
        "lotId": 1,
        "menuId": 1,
        "signatureType": 1,
        "name": "text",
        "uploadedDatetime": "2026-01-01T00:00:00.000Z",
        "displayName": "text",
        "originatorId": 1,
        "categoryName": "text",
        "documentNumber": "text",
        "isWorkflow": 1,
        "referenceNo": "text",
        "expiryDate": "2026-01-01T00:00:00.000Z",
        "status": "text",
        "statusId": 1,
        "noOfDocsCount": 1,
        "signedDate": "2026-01-01T00:00:00.000Z",
        "attachmentCount": 1,
        "signedBy": "text",
        "isNewFlow": 1,
        "hasNeslError": true,
        "isStuckAtNesl": true
      }
    ]
  }
}

Completed documents

post
/api/Public/DashboardSummary/GetCompletedDocuments
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
pageNumberinteger · int32 · min: 1 · max: 2147483647Optional
pageSizeinteger · int32 · min: 1 · max: 200Optional
isSearchbooleanOptional
docOwnerstring · nullableOptional
docNamestring · nullableOptional
startDatestring · nullableOptional
endDatestring · nullableOptional
completedFromDatestring · nullableOptional
completedToDatestring · nullableOptional
expiryFromDatestring · nullableOptional
expiryToDatestring · nullableOptional
categoryNamestring · nullableOptional
documentNumberstring · nullableOptional
referenceNostring · nullableOptional
selectedStatusstring · nullableOptional
sortColumnstring · nullableOptional
sortOrderstring · nullableOptional
customStatusstring · nullableOptional
selectedYearinteger · int32 · nullableOptional
isExportbooleanOptional
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
post/api/Public/DashboardSummary/GetCompletedDocuments
POST /api/Public/DashboardSummary/GetCompletedDocuments HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 399

{
  "pageNumber": 1,
  "pageSize": 1,
  "isSearch": true,
  "docOwner": "text",
  "docName": "text",
  "startDate": "text",
  "endDate": "text",
  "completedFromDate": "text",
  "completedToDate": "text",
  "expiryFromDate": "text",
  "expiryToDate": "text",
  "categoryName": "text",
  "documentNumber": "text",
  "referenceNo": "text",
  "selectedStatus": "text",
  "sortColumn": "text",
  "sortOrder": "text",
  "customStatus": "text",
  "selectedYear": 1,
  "isExport": true
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalRows": 1,
    "totalPages": 1,
    "data": [
      {
        "rowIndex": 1,
        "totalRows": 1,
        "workflowId": 1,
        "displayName": "text",
        "documentNumber": "text",
        "referenceNo": "text",
        "initiatedBy": "text",
        "originatorId": 1,
        "categoryName": "text",
        "categoryId": 1,
        "isFlexi": 1,
        "uploadedDatetime": "2026-01-01T00:00:00.000Z",
        "completedDate": "2026-01-01T00:00:00.000Z",
        "expiryDate": "2026-01-01T00:00:00.000Z",
        "status": "text",
        "documentStatusId": 1,
        "lastSignedBy": "text",
        "remarks": "text",
        "workflowType": 1,
        "noOfDocuments": 1,
        "noOfAttachments": 1,
        "allowDownloadDoc": true,
        "customStatusId": 1,
        "customStatus": "text"
      }
    ]
  }
}

Draft documents

post
/api/Public/DashboardSummary/GetDraftDocuments
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
pageNumberinteger · int32 · min: 1 · max: 2147483647Optional
pageSizeinteger · int32 · min: 1 · max: 200Optional
categoryNamestring · nullableOptional
docOwnerstring · nullableOptional
docNamestring · nullableOptional
startDatestring · nullableOptional
endDatestring · nullableOptional
referenceNostring · nullableOptional
documentNumberstring · nullableOptional
sortColumnstring · nullableOptional
sortOrderstring · nullableOptional
selectedYearinteger · int32 · nullableOptional
isExportbooleanOptional
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
post/api/Public/DashboardSummary/GetDraftDocuments
POST /api/Public/DashboardSummary/GetDraftDocuments HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 239

{
  "pageNumber": 1,
  "pageSize": 1,
  "categoryName": "text",
  "docOwner": "text",
  "docName": "text",
  "startDate": "text",
  "endDate": "text",
  "referenceNo": "text",
  "documentNumber": "text",
  "sortColumn": "text",
  "sortOrder": "text",
  "selectedYear": 1,
  "isExport": true
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalRows": 1,
    "totalPages": 1,
    "data": [
      {
        "rowIndex": 1,
        "totalRows": 1,
        "workflowId": 1,
        "name": "text",
        "subscriberId": 1,
        "lotId": 1,
        "uploadedDatetime": "2026-01-01T00:00:00.000Z",
        "documentId": 1,
        "displayName": "text",
        "originatorId": 1,
        "signatureType": "text",
        "categoryName": "text",
        "documentNumber": "text",
        "referenceNo": "text",
        "status": "text",
        "allowDownloadDoc": true,
        "attachmentCount": 1,
        "expiryDate": "2026-01-01T00:00:00.000Z",
        "commentCount": 1,
        "statusId": 1,
        "noOfDocsCount": 1,
        "menuId": 1,
        "isWorkflow": 1,
        "isFlexi": 1,
        "workflowInitiateGUID": "text"
      }
    ]
  }
}

Doc store documents

post
/api/Public/DashboardSummary/GetDocStoreDocuments
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
pageNumberinteger · int32 · min: 1 · max: 10000Optional
pageSizeinteger · int32 · min: 1 · max: 200Optional
tabStatusTypestring · max: 20 · nullableOptional
selectedStatusstring · max: 50 · nullableOptional
isSearchbooleanOptional
categoryNamestring · max: 200 · nullableOptional
docOwnerstring · max: 200 · nullableOptional
documentNamestring · max: 200 · nullableOptional
documentNumberstring · max: 200 · nullableOptional
referenceNostring · max: 200 · nullableOptional
startDatestring · max: 10 · nullableOptional
endDatestring · max: 10 · nullableOptional
expiryFromDatestring · max: 10 · nullableOptional
expiryToDatestring · max: 10 · nullableOptional
sortColumnstring · max: 20 · nullableOptional
sortOrderstring · max: 4 · nullableOptional
customStatusstring · max: 200 · nullableOptional
selectedYearinteger · int32 · nullableOptional
isExportbooleanOptional
Responses
200

OK

application/json
isSuccessbooleanOptional
messagesstring[] · nullableOptional
errorCodeinteger · int32Optional
errorKeystring · nullableOptional
post/api/Public/DashboardSummary/GetDocStoreDocuments
POST /api/Public/DashboardSummary/GetDocStoreDocuments HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 375

{
  "pageNumber": 1,
  "pageSize": 1,
  "tabStatusType": "text",
  "selectedStatus": "text",
  "isSearch": true,
  "categoryName": "text",
  "docOwner": "text",
  "documentName": "text",
  "documentNumber": "text",
  "referenceNo": "text",
  "startDate": "text",
  "endDate": "text",
  "expiryFromDate": "text",
  "expiryToDate": "text",
  "sortColumn": "text",
  "sortOrder": "text",
  "customStatus": "text",
  "selectedYear": 1,
  "isExport": true
}
{
  "isSuccess": true,
  "messages": [
    "text"
  ],
  "errorCode": 1,
  "errorKey": "text",
  "response": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalRows": 1,
    "totalPages": 1,
    "data": [
      {
        "rowIndex": 1,
        "totalRows": 1,
        "workflowId": 1,
        "name": "text",
        "uploadedDatetime": "2026-01-01T00:00:00.000Z",
        "displayName": "text",
        "originatorId": 1,
        "categoryName": "text",
        "documentNumber": "text",
        "referenceNo": "text",
        "isWorkflow": 1,
        "status": "text",
        "allowDownloadDoc": true,
        "attachmentCount": 1,
        "expiryDate": "2026-01-01T00:00:00.000Z",
        "statusId": 1,
        "noOfDocsCount": 1,
        "signedBy": "text",
        "declinedDate": "2026-01-01T00:00:00.000Z",
        "recalledDate": "2026-01-01T00:00:00.000Z",
        "signedDate": "2026-01-01T00:00:00.000Z",
        "categoryId": 1,
        "isFlexi": 1,
        "workflowInitiateGUID": "text",
        "customStatusId": 1,
        "customStatus": "text"
      }
    ]
  }
}

Categories

get
/api/Public/DashboardSummary/GetCategories
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
searchstringOptional
Responses
200

OK

No content

get/api/Public/DashboardSummary/GetCategories
GET /api/Public/DashboardSummary/GetCategories HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

Originators

get
/api/Public/DashboardSummary/GetOriginators
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
searchstringOptional
Responses
200

OK

No content

get/api/Public/DashboardSummary/GetOriginators
GET /api/Public/DashboardSummary/GetOriginators HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

Map category

post
/api/Public/DashboardSummary/MapCategory
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
workflowIdinteger · int32Optional
categoryIdinteger · int32Optional
documentIdinteger · int32Optional
Responses
200

OK

No content

post/api/Public/DashboardSummary/MapCategory
POST /api/Public/DashboardSummary/MapCategory HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "workflowId": 1,
  "categoryId": 1,
  "documentId": 1
}
200

OK

No content

Update doc expiry

post
/api/Public/DashboardSummary/UpdateDocExpiry
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
workflowIdinteger · int32Optional
documentIdinteger · int32Optional
expiryDatestring · nullableOptional
notifyEmailstring · nullableOptional
Responses
200

OK

No content

post/api/Public/DashboardSummary/UpdateDocExpiry
POST /api/Public/DashboardSummary/UpdateDocExpiry HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 72

{
  "workflowId": 1,
  "documentId": 1,
  "expiryDate": "text",
  "notifyEmail": "text"
}
200

OK

No content

Doc expiry

get
/api/Public/DashboardSummary/GetDocExpiry
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
workflowIdinteger · int32OptionalDefault: 0
documentIdinteger · int32OptionalDefault: 0
Responses
200

OK

No content

get/api/Public/DashboardSummary/GetDocExpiry
GET /api/Public/DashboardSummary/GetDocExpiry HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

Linkable workflows

get
/api/Public/DashboardSummary/GetLinkableWorkflows
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Query parameters
workflowIdinteger · int32Optional
Responses
200

OK

No content

get/api/Public/DashboardSummary/GetLinkableWorkflows
GET /api/Public/DashboardSummary/GetLinkableWorkflows HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

No content

Link documents

post
/api/Public/DashboardSummary/LinkDocuments
Authorizations
AuthorizationstringRequired

JWT access token from POST /auth/token. Paste the token without the "Bearer " prefix.

Body
workflowIdinteger · int32Optional
linkedWorkflowIdsinteger · int32[] · nullableOptional
Responses
200

OK

No content

post/api/Public/DashboardSummary/LinkDocuments
POST /api/Public/DashboardSummary/LinkDocuments HTTP/1.1
Host: demoapi-core.emsigner.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "workflowId": 1,
  "linkedWorkflowIds": [
    1
  ]
}
200

OK

No content

Last updated